/// <reference types="react" />
type ButtonVariants = 'contained' | 'outlined' | 'text';
type ButtonProps = React.ButtonHTMLAttributes<HTMLButtonElement> & {
    readonly variant: ButtonVariants;
    readonly icon?: string;
    readonly loading?: boolean;
    readonly selected?: boolean;
};
export declare const Button: import("react").ForwardRefExoticComponent<import("react").ButtonHTMLAttributes<HTMLButtonElement> & {
    readonly variant: ButtonVariants;
    readonly icon?: string | undefined;
    readonly loading?: boolean | undefined;
    readonly selected?: boolean | undefined;
} & import("react").RefAttributes<HTMLButtonElement>>;
type ButtonVariantProps = Omit<ButtonProps, 'variant'>;
export declare const ContainedButton: (props: ButtonVariantProps) => import("react/jsx-runtime").JSX.Element;
export declare const OutlinedButton: (props: ButtonVariantProps) => import("react/jsx-runtime").JSX.Element;
export declare const TextButton: (props: ButtonVariantProps) => import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=button.d.ts.map