/// <reference types="react" />
type AdditionalOptions<T> = {
    readonly requestData?: RequestInit;
    readonly skip?: boolean;
    readonly onComplete?: (data: T) => void;
    readonly onError?: (message: String) => void;
};
type ExtraData<T> = {
    readonly error: string | undefined;
    readonly setData: React.Dispatch<React.SetStateAction<T | undefined>>;
    readonly resetData: () => void;
    readonly refetch: () => void;
};
export declare function useFetch<T>(url: string, options?: AdditionalOptions<T>): readonly [T | undefined, boolean, ExtraData<T>];
export {};
//# sourceMappingURL=use-fetch.d.ts.map